#import <Cocoa/Cocoa.h>



typedef unsigned long iff_id;

@interface XeeIFFReader:NSObject
{
	FILE *fh;
	int filesize,nextchunk,currsize;
	iff_id currid;
}

-(id)initWithFilename:(NSString *)filename filetype:(iff_id)filetype;
-(void)dealloc;

-(iff_id)nextChunk;
-(iff_id)currentChunk;
-(int)chunkSize;
-(int)bytesLeft;

-(unsigned char)readByte;
-(unsigned short)readWord;
-(unsigned long)readLong;
-(NSData *)readBytes:(int)bytes;
-(NSData *)readChunk;

@end
